<?php
/**
 * @package linea21.modules
 * @subpackage newsletter
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages ////////////
if (!function_exists('AuthenthificationProcess')){
	include_once("../lib/lib_common.php");
	ReloadIndex('admin');
}
////////////



if(isset($_POST['id']))	$id=$_POST['id'];
if(isset($_GET['id']))	$id=$_GET['id'];
$link_det=$rub_link."&amp;todo=det&amp;id=".$id; 


if(isset($_POST['valider'])) {
	$newsletter_object = new newsletter;
	$link_confirm="confirm.php?rub=".$rub."&todo=".$todo;
	$result=$newsletter_object->DeleteNewsletter($id, $sql_object);
	if($result) header("Location: ".$link_confirm);
	else  system_error();
}

$result=$sql_object->DBSelect(SQL_getNewsletterTitle($id));
$newsletter_title=FormatText($result[0]['newsletter_title']);
$newsletter_status=$result[0]['newsletter_statut'];

//////////// Check Droits utilisateur + statut newsletter courante ////////////
if (!IsSuperAdmin() || $newsletter_status=='P') ReloadIndex('admin');
////////////
?>

<div id="chemin">
	<ul>
		<li>
			<a href="index.php"><? echo $GLOBALS['lang']['way']['home']; ?></a>
		</li>
		<li>
			<a href="<?php echo $rub_link; ?>"><? echo $GLOBALS['lang']['menu']['theme']; ?></a>
		</li>
		<li>
			<span><? echo formatNavTitle($GLOBALS['lang']['newsletter']['sup']." : ". $newsletter_title); ?></span>
		</li>
	</ul>
</div>
<!--end barre haute -->
<?php
include_once("quickicons.php");
?>
<div class="contentcontainer">
<?php
include_once($dir."/menurub.php");
?>
<div id="content">
<? echo "<h2>". formatTitleh2($newsletter_title)."</h2>"; ?>
<form id="suptheme" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
<p class="info"><?php echo $GLOBALS['lang']['divers']['sup_confirm']; ?></p>
<div>
<input name="id" type="hidden" value="<?php echo $id; ?>" />
<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
<?php echo cancel_button('javascript:history.go(-1);'); ?>
<input name="valider" type="submit" value="<? echo $GLOBALS['lang']['btn']['valid']; ?>" class="button" id="valider" />
</div>
</form>
</div>
<?php include_once($dir."/help.php"); ?>
</div>
